org.hibernate.search.query.hibernate.impl

## Class FullTextQueryImpl

- java.lang.Object
- - org.hibernate.query.internal.AbstractProducedQuery
  - - org.hibernate.search.query.hibernate.impl.FullTextQueryImpl

- All Implemented Interfaces:
    javax.persistence.Query, javax.persistence.TypedQuery, BasicQueryContract, CommonQueryContract, QueryImplementor, ProjectionConstants, FullTextQuery

      public class FullTextQueryImpl
      extends AbstractProducedQuery
      implements FullTextQuery

  Implementation of `FullTextQuery`.
  Author:
    Emmanuel Bernard, Hardy Ferentschik

- - ### Field Summary

    - ### Fields inherited from interface org.hibernate.search.engine.ProjectionConstants

      `DOCUMENT, DOCUMENT_ID, EXPLANATION, ID, OBJECT_CLASS, SCORE, SPATIAL_DISTANCE, THIS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullTextQueryImpl(HSQuery hSearchQuery, SessionImplementor session, ParameterMetadata parameterMetadata)` Constructs a `FullTextQueryImpl` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disableFullTextFilter(String name)` Disable a given filter by its name
    `int` | `doGetResultSize()`
    `protected List` | `doHibernateSearchList()`
    `FullTextFilter` | `enableFullTextFilter(String name)` Enable a given filter by its name.
    `int` | `executeUpdate()`
    `Explanation` | `explain(int documentId)` Return the Lucene `Explanation` object describing the score computation for the matching object/document in the current query
    `FacetManager` | `getFacetManager()`
    `int` | `getFirstResult()`
    `Map<String,Object>` | `getHints()`
    `javax.persistence.LockModeType` | `getLockMode()`
    `protected Map` | `getLockModes()`
    `LockOptions` | `getLockOptions()`
    `int` | `getMaxResults()`
    `javax.persistence.Parameter<?>` | `getParameter(int position)`
    `javax.persistence.Parameter` | `getParameter(int position, Class type)`
    `javax.persistence.Parameter<?>` | `getParameter(String name)`
    `javax.persistence.Parameter` | `getParameter(String name, Class type)`
    `Set<javax.persistence.Parameter<?>>` | `getParameters()`
    `Object` | `getParameterValue(int position)`
    `Object` | `getParameterValue(javax.persistence.Parameter param)`
    `Object` | `getParameterValue(String name)`
    `String` | `getQueryString()`
    `List` | `getResultList()`
    `int` | `getResultSize()` Returns the number of hits for this search Caution: The number of results might be slightly different from `getResultList().size()` because getResultList() may be not in sync with the database at the time of query.
    `String[]` | `getReturnAliases()` Deprecated.
    `Type[]` | `getReturnTypes()` Deprecated.
    `boolean` | `hasPartialResults()`
    `FullTextQueryImpl` | `initializeObjectsWith(ObjectLookupMethod lookupMethod, DatabaseRetrievalMethod retrievalMethod)` Refine the strategies used to load entities.
    `boolean` | `isBound(javax.persistence.Parameter param)`
    `protected boolean` | `isNativeQuery()`
    `Iterator` | `iterate()` Return an iterator on the results.
    `FullTextQueryImpl` | `limitExecutionTimeTo(long timeout, TimeUnit timeUnit)` Limit the time used by Hibernate Search to execute the query.
    `List` | `list()`
    `ScrollableResultsImpl` | `scroll()`
    `ScrollableResultsImplementor` | `scroll(ScrollMode scrollMode)`
    `FullTextQueryImpl` | `setCriteriaQuery(Criteria criteria)` Defines the Database Query used to load the Lucene results.
    `FullTextQueryImpl` | `setEntity(int position, Object val)` Deprecated.
    `FullTextQueryImpl` | `setEntity(String name, Object val)` Deprecated.
    `FullTextQueryImpl` | `setFetchSize(int fetchSize)`
    `FullTextQueryImpl` | `setFilter(Filter filter)` Deprecated.
    `FullTextQuery` | `setFirstResult(int firstResult)`
    `FullTextQueryImpl` | `setFlushMode(javax.persistence.FlushModeType flushModeType)`
    `FullTextQuery` | `setHint(String hintName, Object value)`
    `FullTextQueryImpl` | `setLockMode(javax.persistence.LockModeType lockModeType)`
    `QueryImplementor` | `setLockMode(String alias, LockMode lockMode)`
    `QueryImplementor` | `setLockOptions(LockOptions lockOptions)`
    `FullTextQuery` | `setMaxResults(int maxResults)`
    `FullTextQueryImpl` | `setParameter(int position, Calendar value, javax.persistence.TemporalType temporalType)`
    `FullTextQueryImpl` | `setParameter(int position, Date value, javax.persistence.TemporalType temporalType)`
    `FullTextQueryImpl` | `setParameter(int position, Object value)`
    `FullTextQueryImpl` | `setParameter(javax.persistence.Parameter calendarParameter, Calendar calendar, javax.persistence.TemporalType temporalType)`
    `FullTextQueryImpl` | `setParameter(javax.persistence.Parameter dateParameter, Date date, javax.persistence.TemporalType temporalType)`
    `FullTextQueryImpl` | `setParameter(javax.persistence.Parameter tParameter, Object t)`
    `FullTextQueryImpl` | `setParameter(String name, Calendar value, javax.persistence.TemporalType temporalType)`
    `FullTextQueryImpl` | `setParameter(String name, Date value, javax.persistence.TemporalType temporalType)`
    `FullTextQueryImpl` | `setParameter(String name, Object value)`
    `FullTextQueryImpl` | `setProjection(String... fields)` Defines the Lucene field names projected and returned in a query result Each field is converted back to it's object representation, an Object[] being returned for each "row" (similar to an HQL or a Criteria API projection).
    `FullTextQueryImpl` | `setResultTransformer(ResultTransformer transformer)` Deprecated.
    `FullTextQueryImpl` | `setSort(Sort sort)` Allows to let lucene sort the results.
    `FullTextQueryImpl` | `setSpatialParameters(Coordinates center, String fieldName)` Defines the center of the spatial search for this query to project distance in results
    `FullTextQueryImpl` | `setSpatialParameters(double latitude, double longitude, String fieldName)` Defines the center of the spatial search for this query to project distance in results
    `FullTextQueryImpl` | `setTimeout(int timeout)`
    `FullTextQueryImpl` | `setTimeout(long timeout, TimeUnit timeUnit)` Define a timeout period for a given unit of time.
    `String` | `toString()`
    `Object` | `unwrap(Class type)`

    - ### Methods inherited from class org.hibernate.query.internal.AbstractProducedQuery

      `addQueryHint, afterQuery, applyAliasSpecificLockModeHint, applyCacheableHint, applyCacheModeHint, applyCacheRegionHint, applyCommentHint, applyEntityGraphQueryHint, applyFetchSizeHint, applyFlushModeHint, applyFollowOnLockingHint, applyHibernateLockModeHint, applyJpaCacheRetrieveMode, applyJpaCacheStoreMode, applyLockModeTypeHint, applyLockTimeoutHint, applyNativeQueryLockMode, applyPassDistinctThrough, applyReadOnlyHint, applyTimeoutHint, beforeQuery, canApplyAliasSpecificLockModeHints, collectBaselineHints, collectHints, determineProperBooleanType, determineProperBooleanType, determineType, doExecuteUpdate, doIterate, doList, doScroll, getCacheMode, getCacheRegion, getComment, getExceptionConverter, getFetchSize, getFlushMode, getHibernateFlushMode, getNamedParameterMap, getNamedParameters, getParameterMetadata, getPositionalParameterTypes, getPositionalParameterValues, getProducer, getQueryOptions, getQueryParameterBindings, getQueryParameters, getSingleResult, getSupportedHints, getTimeout, isCacheable, isCallable, isReadOnly, putIfNotNull, putIfNotNull, resolveEntityName, setCacheable, setCacheMode, setCacheRegion, setComment, setFlushMode, setHibernateFlushMode, setOptionalEntityName, setOptionalId, setOptionalObject, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameterList, setParameterList, setParameterList, setParameterList, setParameterList, setProperties, setProperties, setReadOnly, stream, uniqueElement, uniqueResult, uniqueResultOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.query.spi.QueryImplementor

      `getProducer, setOptionalEntityName, setOptionalId, setOptionalObject`

    - ### Methods inherited from interface org.hibernate.query.Query

      `addQueryHint, getCacheMode, getCacheRegion, getComment, getFetchSize, getHibernateFlushMode, getParameterMetadata, getQueryOptions, getResultStream, getSingleResult, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBinary, setBinary, setBoolean, setBoolean, setByte, setByte, setCacheable, setCacheMode, setCacheRegion, setCalendar, setCalendar, setCalendarDate, setCalendarDate, setCharacter, setCharacter, setComment, setDate, setDate, setDouble, setDouble, setFloat, setFloat, setFlushMode, setHibernateFlushMode, setInteger, setInteger, setLocale, setLocale, setLong, setLong, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameterList, setParameterList, setParameterList, setParameterList, setParameterList, setParameters, setProperties, setProperties, setReadOnly, setSerializable, setSerializable, setShort, setShort, setString, setString, setText, setText, setTime, setTime, setTimestamp, setTimestamp, stream, uniqueResult, uniqueResultOptional`

    - ### Methods inherited from interface org.hibernate.Query

      `determineProperBooleanType, determineProperBooleanType, getFlushMode, getNamedParameters, getTimeout, isCacheable, isReadOnly`

- - ### Constructor Detail

    - #### FullTextQueryImpl

          public FullTextQueryImpl(HSQuery hSearchQuery,
                                   SessionImplementor session,
                                   ParameterMetadata parameterMetadata)

      Constructs a `FullTextQueryImpl` instance.
      Parameters:
        `hSearchQuery` - The query
        `session` - Access to the Hibernate session.
        `parameterMetadata` - Additional query metadata.

  - ### Method Detail

    - #### setSort

          public FullTextQueryImpl setSort(Sort sort)

      Description copied from interface: `FullTextQuery`
      Allows to let lucene sort the results. This is useful when you have additional sort requirements on top of the default lucene ranking. Without lucene sorting you would have to retrieve the full result set and order the hibernate objects.
      Specified by:
        `setSort` in interface `FullTextQuery`
      Parameters:
        `sort` - The lucene sort object.
      Returns:
        this for method chaining

    - #### setFilter

          @Deprecated
          public FullTextQueryImpl setFilter(Filter filter)

      Deprecated.
      Description copied from interface: `FullTextQuery`
      Allows to set a single Lucene filter.
      Specified by:
        `setFilter` in interface `FullTextQuery`
      Parameters:
        `filter` - The Lucene filter.
      Returns:
        this for method chaining
      See Also:
        `Filter`

    - #### getResultList

          public List getResultList()

      Specified by:
        `getResultList` in interface `javax.persistence.Query`
      Specified by:
        `getResultList` in interface `javax.persistence.TypedQuery`

    - #### iterate

          public Iterator iterate()

      Return an iterator on the results. Retrieve the object one by one (initialize it during the next() operation)
      Overrides:
        `iterate` in class `AbstractProducedQuery`

    - #### scroll

          public ScrollableResultsImpl scroll()

      Overrides:
        `scroll` in class `AbstractProducedQuery`

    - #### scroll

          public ScrollableResultsImplementor scroll(ScrollMode scrollMode)

      Overrides:
        `scroll` in class `AbstractProducedQuery`

    - #### list

          public List list()

      Overrides:
        `list` in class `AbstractProducedQuery`

    - #### doHibernateSearchList

          protected List doHibernateSearchList()

    - #### explain

          public Explanation explain(int documentId)

      Description copied from interface: `FullTextQuery`
      Return the Lucene `Explanation` object describing the score computation for the matching object/document in the current query
      Specified by:
        `explain` in interface `FullTextQuery`
      Parameters:
        `documentId` - Lucene Document id to be explain. This is NOT the object id
      Returns:
        Lucene `Explanation`

    - #### getResultSize

          public int getResultSize()

      Description copied from interface: `FullTextQuery`
      Returns the number of hits for this search Caution: The number of results might be slightly different from `getResultList().size()` because getResultList() may be not in sync with the database at the time of query.
      Specified by:
        `getResultSize` in interface `FullTextQuery`
      Returns:
        the number of hits for this search

    - #### doGetResultSize

          public int doGetResultSize()

    - #### setCriteriaQuery

          public FullTextQueryImpl setCriteriaQuery(Criteria criteria)

      Description copied from interface: `FullTextQuery`
      Defines the Database Query used to load the Lucene results. Useful to load a given object graph by refining the fetch modes No projection (criteria.setProjection() ) allowed, the root entity must be the only returned type No where restriction can be defined either.
      Specified by:
        `setCriteriaQuery` in interface `FullTextQuery`
      Parameters:
        `criteria` - a query defined using `Criteria`
      Returns:
        `this` for method chaining

    - #### setProjection

          public FullTextQueryImpl setProjection(String... fields)

      Description copied from interface: `FullTextQuery`
      Defines the Lucene field names projected and returned in a query result Each field is converted back to it's object representation, an Object[] being returned for each "row" (similar to an HQL or a Criteria API projection). A projectable field must be stored in the Lucene index and use a `TwoWayFieldBridge` Unless notified in their JavaDoc, all built-in bridges are two-way. All @DocumentId fields are projectable by design. If the projected field is not a projectable field, null is returned in the object[]
      Specified by:
        `setProjection` in interface `FullTextQuery`
      Parameters:
        `fields` - the fields to use for projection
      Returns:
        `this` for method chaining

    - #### setSpatialParameters

          public FullTextQueryImpl setSpatialParameters(Coordinates center,
                                                        String fieldName)

      Description copied from interface: `FullTextQuery`
      Defines the center of the spatial search for this query to project distance in results
      Specified by:
        `setSpatialParameters` in interface `FullTextQuery`
      Parameters:
        `center` - the search center
        `fieldName` - name of the spatial field
      Returns:
        `this` for method chaining

    - #### setSpatialParameters

          public FullTextQueryImpl setSpatialParameters(double latitude,
                                                        double longitude,
                                                        String fieldName)

      Description copied from interface: `FullTextQuery`
      Defines the center of the spatial search for this query to project distance in results
      Specified by:
        `setSpatialParameters` in interface `FullTextQuery`
      Parameters:
        `latitude` - latitude of the search center
        `longitude` - longitude of the search center
        `fieldName` - name of the spatial field
      Returns:
        `this` for method chaining

    - #### setMaxResults

          public FullTextQuery setMaxResults(int maxResults)

      Specified by:
        `setMaxResults` in interface `javax.persistence.Query`
      Specified by:
        `setMaxResults` in interface `javax.persistence.TypedQuery`
      Specified by:
        `setMaxResults` in interface `FullTextQuery`
      Overrides:
        `setMaxResults` in class `AbstractProducedQuery`

    - #### getMaxResults

          public int getMaxResults()

      Specified by:
        `getMaxResults` in interface `javax.persistence.Query`
      Overrides:
        `getMaxResults` in class `AbstractProducedQuery`

    - #### setFirstResult

          public FullTextQuery setFirstResult(int firstResult)

      Specified by:
        `setFirstResult` in interface `javax.persistence.Query`
      Specified by:
        `setFirstResult` in interface `javax.persistence.TypedQuery`
      Specified by:
        `setFirstResult` in interface `FullTextQuery`
      Overrides:
        `setFirstResult` in class `AbstractProducedQuery`

    - #### getFirstResult

          public int getFirstResult()

      Specified by:
        `getFirstResult` in interface `javax.persistence.Query`
      Overrides:
        `getFirstResult` in class `AbstractProducedQuery`

    - #### setHint

          public FullTextQuery setHint(String hintName,
                                       Object value)

      Specified by:
        `setHint` in interface `javax.persistence.Query`
      Specified by:
        `setHint` in interface `javax.persistence.TypedQuery`
      Specified by:
        `setHint` in interface `FullTextQuery`
      Overrides:
        `setHint` in class `AbstractProducedQuery`

    - #### getHints

          public Map<String,Object> getHints()

      Specified by:
        `getHints` in interface `javax.persistence.Query`
      Overrides:
        `getHints` in class `AbstractProducedQuery`

    - #### setParameter

          public FullTextQueryImpl setParameter(javax.persistence.Parameter tParameter,
                                                Object t)

      Specified by:
        `setParameter` in interface `javax.persistence.Query`
      Specified by:
        `setParameter` in interface `javax.persistence.TypedQuery`
      Overrides:
        `setParameter` in class `AbstractProducedQuery`

    - #### setParameter

          public FullTextQueryImpl setParameter(javax.persistence.Parameter calendarParameter,
                                                Calendar calendar,
                                                javax.persistence.TemporalType temporalType)

      Specified by:
        `setParameter` in interface `javax.persistence.Query`
      Specified by:
        `setParameter` in interface `javax.persistence.TypedQuery`
      Overrides:
        `setParameter` in class `AbstractProducedQuery`

    - #### setParameter

          public FullTextQueryImpl setParameter(javax.persistence.Parameter dateParameter,
                                                Date date,
                                                javax.persistence.TemporalType temporalType)

      Specified by:
        `setParameter` in interface `javax.persistence.Query`
      Specified by:
        `setParameter` in interface `javax.persistence.TypedQuery`
      Overrides:
        `setParameter` in class `AbstractProducedQuery`

    - #### setParameter

          public FullTextQueryImpl setParameter(String name,
                                                Object value)

      Specified by:
        `setParameter` in interface `javax.persistence.Query`
      Specified by:
        `setParameter` in interface `javax.persistence.TypedQuery`
      Overrides:
        `setParameter` in class `AbstractProducedQuery`

    - #### setParameter

          public FullTextQueryImpl setParameter(String name,
                                                Date value,
                                                javax.persistence.TemporalType temporalType)

      Specified by:
        `setParameter` in interface `javax.persistence.Query`
      Specified by:
        `setParameter` in interface `javax.persistence.TypedQuery`
      Overrides:
        `setParameter` in class `AbstractProducedQuery`

    - #### setParameter

          public FullTextQueryImpl setParameter(String name,
                                                Calendar value,
                                                javax.persistence.TemporalType temporalType)

      Specified by:
        `setParameter` in interface `javax.persistence.Query`
      Specified by:
        `setParameter` in interface `javax.persistence.TypedQuery`
      Overrides:
        `setParameter` in class `AbstractProducedQuery`

    - #### setParameter

          public FullTextQueryImpl setParameter(int position,
                                                Object value)

      Specified by:
        `setParameter` in interface `javax.persistence.Query`
      Specified by:
        `setParameter` in interface `javax.persistence.TypedQuery`
      Overrides:
        `setParameter` in class `AbstractProducedQuery`

    - #### setParameter

          public FullTextQueryImpl setParameter(int position,
                                                Date value,
                                                javax.persistence.TemporalType temporalType)

      Specified by:
        `setParameter` in interface `javax.persistence.Query`
      Specified by:
        `setParameter` in interface `javax.persistence.TypedQuery`
      Overrides:
        `setParameter` in class `AbstractProducedQuery`

    - #### getParameters

          public Set<javax.persistence.Parameter<?>> getParameters()

      Specified by:
        `getParameters` in interface `javax.persistence.Query`
      Overrides:
        `getParameters` in class `AbstractProducedQuery`

    - #### setParameter

          public FullTextQueryImpl setParameter(int position,
                                                Calendar value,
                                                javax.persistence.TemporalType temporalType)

      Specified by:
        `setParameter` in interface `javax.persistence.Query`
      Specified by:
        `setParameter` in interface `javax.persistence.TypedQuery`
      Overrides:
        `setParameter` in class `AbstractProducedQuery`

    - #### getParameter

          public javax.persistence.Parameter<?> getParameter(String name)

      Specified by:
        `getParameter` in interface `javax.persistence.Query`
      Overrides:
        `getParameter` in class `AbstractProducedQuery`

    - #### getParameter

          public javax.persistence.Parameter<?> getParameter(int position)

      Specified by:
        `getParameter` in interface `javax.persistence.Query`
      Overrides:
        `getParameter` in class `AbstractProducedQuery`

    - #### getParameter

          public javax.persistence.Parameter getParameter(String name,
                                                          Class type)

      Specified by:
        `getParameter` in interface `javax.persistence.Query`
      Overrides:
        `getParameter` in class `AbstractProducedQuery`

    - #### getParameter

          public javax.persistence.Parameter getParameter(int position,
                                                          Class type)

      Specified by:
        `getParameter` in interface `javax.persistence.Query`
      Overrides:
        `getParameter` in class `AbstractProducedQuery`

    - #### isBound

          public boolean isBound(javax.persistence.Parameter param)

      Specified by:
        `isBound` in interface `javax.persistence.Query`
      Overrides:
        `isBound` in class `AbstractProducedQuery`

    - #### getParameterValue

          public Object getParameterValue(javax.persistence.Parameter param)

      Specified by:
        `getParameterValue` in interface `javax.persistence.Query`
      Overrides:
        `getParameterValue` in class `AbstractProducedQuery`

    - #### getParameterValue

          public Object getParameterValue(String name)

      Specified by:
        `getParameterValue` in interface `javax.persistence.Query`
      Overrides:
        `getParameterValue` in class `AbstractProducedQuery`

    - #### getParameterValue

          public Object getParameterValue(int position)

      Specified by:
        `getParameterValue` in interface `javax.persistence.Query`
      Overrides:
        `getParameterValue` in class `AbstractProducedQuery`

    - #### setFlushMode

          public FullTextQueryImpl setFlushMode(javax.persistence.FlushModeType flushModeType)

      Specified by:
        `setFlushMode` in interface `javax.persistence.Query`
      Specified by:
        `setFlushMode` in interface `javax.persistence.TypedQuery`
      Specified by:
        `setFlushMode` in interface `FullTextQuery`
      Overrides:
        `setFlushMode` in class `AbstractProducedQuery`

    - #### setFetchSize

          public FullTextQueryImpl setFetchSize(int fetchSize)

      Specified by:
        `setFetchSize` in interface `BasicQueryContract`
      Overrides:
        `setFetchSize` in class `AbstractProducedQuery`

    - #### setLockOptions

          public QueryImplementor setLockOptions(LockOptions lockOptions)

      Overrides:
        `setLockOptions` in class `AbstractProducedQuery`

    - #### setResultTransformer

          @Deprecated
          public FullTextQueryImpl setResultTransformer(ResultTransformer transformer)

      Deprecated.
      Description copied from interface: `FullTextQuery`
      defines a result transformer used during projection, the Aliases provided are the projection aliases.
      Specified by:
        `setResultTransformer` in interface `FullTextQuery`
      Overrides:
        `setResultTransformer` in class `AbstractProducedQuery`
      Parameters:
        `transformer` - the `ResultTransformer` to use during projection
      Returns:
        `this` for method chaining

    - #### unwrap

          public Object unwrap(Class type)

      Specified by:
        `unwrap` in interface `javax.persistence.Query`
      Overrides:
        `unwrap` in class `AbstractProducedQuery`
      Parameters:
        `type` - the type to unwrap
      Returns:
        the underlying type if possible. If not possible to unwrap to the given type an `IllegalArgumentException` is thrown. Supported types are:
        - org.apache.lucene.search.Query the underlying lucene query

    - #### setLockMode

          public FullTextQueryImpl setLockMode(javax.persistence.LockModeType lockModeType)

      Specified by:
        `setLockMode` in interface `javax.persistence.Query`
      Specified by:
        `setLockMode` in interface `javax.persistence.TypedQuery`
      Overrides:
        `setLockMode` in class `AbstractProducedQuery`

    - #### getLockMode

          public javax.persistence.LockModeType getLockMode()

      Specified by:
        `getLockMode` in interface `javax.persistence.Query`
      Overrides:
        `getLockMode` in class `AbstractProducedQuery`

    - #### getLockOptions

          public LockOptions getLockOptions()

      Overrides:
        `getLockOptions` in class `AbstractProducedQuery`

    - #### executeUpdate

          public int executeUpdate()

      Specified by:
        `executeUpdate` in interface `javax.persistence.Query`
      Overrides:
        `executeUpdate` in class `AbstractProducedQuery`

    - #### setLockMode

          public QueryImplementor setLockMode(String alias,
                                              LockMode lockMode)

      Overrides:
        `setLockMode` in class `AbstractProducedQuery`

    - #### getLockModes

          protected Map getLockModes()

    - #### enableFullTextFilter

          public FullTextFilter enableFullTextFilter(String name)

      Description copied from interface: `FullTextQuery`
      Enable a given filter by its name.
      Specified by:
        `enableFullTextFilter` in interface `FullTextQuery`
      Parameters:
        `name` - the name of the filter
      Returns:
        a `FullTextFilter` object that allows filter parameter injection

    - #### disableFullTextFilter

          public void disableFullTextFilter(String name)

      Description copied from interface: `FullTextQuery`
      Disable a given filter by its name
      Specified by:
        `disableFullTextFilter` in interface `FullTextQuery`
      Parameters:
        `name` - the filter nane

    - #### getFacetManager

          public FacetManager getFacetManager()

      Specified by:
        `getFacetManager` in interface `FullTextQuery`
      Returns:
        return the manager for all faceting related operations

    - #### setTimeout

          public FullTextQueryImpl setTimeout(int timeout)

      Specified by:
        `setTimeout` in interface `BasicQueryContract`
      Overrides:
        `setTimeout` in class `AbstractProducedQuery`

    - #### setTimeout

          public FullTextQueryImpl setTimeout(long timeout,
                                              TimeUnit timeUnit)

      Description copied from interface: `FullTextQuery`
      Define a timeout period for a given unit of time. Note that this is time out is on a best effort basis. When the query goes beyond the timeout, a `QueryTimeoutException` is raised.
      Specified by:
        `setTimeout` in interface `FullTextQuery`
      Parameters:
        `timeout` - time out period
        `timeUnit` - time out unit
      Returns:
        `this` to allow method chaining

    - #### limitExecutionTimeTo

          public FullTextQueryImpl limitExecutionTimeTo(long timeout,
                                                        TimeUnit timeUnit)

      Description copied from interface: `FullTextQuery`
      Limit the time used by Hibernate Search to execute the query. When the limit is reached, results already fetched are returned. This time limit is a best effort. The query will likely run for longer than the provided time. The time limit only applies to the interactions between Hibernate Search and Lucene. In other words, a query to the database will not be limited. If the limit is reached and all results are not yet fetched, `FullTextQuery.hasPartialResults()` returns true.
      Specified by:
        `limitExecutionTimeTo` in interface `FullTextQuery`
      Parameters:
        `timeout` - time out period
        `timeUnit` - time out unit
      Returns:
        `this` for method chaining

    - #### hasPartialResults

          public boolean hasPartialResults()

      Specified by:
        `hasPartialResults` in interface `FullTextQuery`
      Returns:
        When using `FullTextQuery.limitExecutionTimeTo(long, java.util.concurrent.TimeUnit)` }, returns `true` if partial results are returned (ie if the time limit has been reached and the result fetching process has been terminated.

    - #### initializeObjectsWith

          public FullTextQueryImpl initializeObjectsWith(ObjectLookupMethod lookupMethod,
                                                         DatabaseRetrievalMethod retrievalMethod)

      Description copied from interface: `FullTextQuery`
      Refine the strategies used to load entities. The lookup method defines whether or not to lookup first in the second level cache or the persistence context before trying to initialize objects from the database. Defaults to SKIP. The database retrieval method defines how objects are loaded from the database. Defaults to QUERY. Note that Hibernate Search can deviate from these choices when it makes sense.
      Specified by:
        `initializeObjectsWith` in interface `FullTextQuery`
      Parameters:
        `lookupMethod` - lookup method
        `retrievalMethod` - how to initilize an object
      Returns:
        `this` for method chaining

    - #### getQueryString

          public String getQueryString()

    - #### isNativeQuery

          protected boolean isNativeQuery()

      Specified by:
        `isNativeQuery` in class `AbstractProducedQuery`

    - #### getReturnTypes

          @Deprecated
          public Type[] getReturnTypes()

      Deprecated.
      Specified by:
        `getReturnTypes` in interface `BasicQueryContract`

    - #### getReturnAliases

          @Deprecated
          public String[] getReturnAliases()

      Deprecated.

    - #### setEntity

          @Deprecated
          public FullTextQueryImpl setEntity(int position,
                                                         Object val)

      Deprecated.

    - #### setEntity

          @Deprecated
          public FullTextQueryImpl setEntity(String name,
                                                         Object val)

      Deprecated.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved